﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class CineEntities : DbContext
    {
        public CineEntities()
            : base("name=CineEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Acciones> Acciones { get; set; }
        public virtual DbSet<Cines> Cines { get; set; }
        public virtual DbSet<Configuracion> Configuracion { get; set; }
        public virtual DbSet<dtproperties> dtproperties { get; set; }
        public virtual DbSet<Empresas> Empresas { get; set; }
        public virtual DbSet<Funciones> Funciones { get; set; }
        public virtual DbSet<FuncionesDetalle> FuncionesDetalle { get; set; }
        public virtual DbSet<Paginas> Paginas { get; set; }
        public virtual DbSet<Pagos> Pagos { get; set; }
        public virtual DbSet<Peliculas> Peliculas { get; set; }
        public virtual DbSet<Permisos> Permisos { get; set; }
        public virtual DbSet<PermisosAcciones> PermisosAcciones { get; set; }
        public virtual DbSet<PermisosPaginas> PermisosPaginas { get; set; }
        public virtual DbSet<Roles> Roles { get; set; }
        public virtual DbSet<RolesPermisos> RolesPermisos { get; set; }
        public virtual DbSet<sysdiagrams> sysdiagrams { get; set; }
        public virtual DbSet<Terminales> Terminales { get; set; }
        public virtual DbSet<Usuarios> Usuarios { get; set; }
        public virtual DbSet<UsuariosCines> UsuariosCines { get; set; }
        public virtual DbSet<Variables> Variables { get; set; }
        public virtual DbSet<Ventas> Ventas { get; set; }
    }
}
